Anonymous Login
2019-06-24 20:47 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000700v2.3 Release (Closed)[All Projects] Generalpublic2011-03-24 09:53
Reportereureka 
Assigned Tocaseydk 
PrioritynormalSeveritytrivialReproducibilityN/A
StatusclosedResolutionfixed 
Product Version2.3 
Target VersionFixed in Version2.3 
Summary0000700: suppressHeaders parameter
DescriptionIn indexp.php, is it possible not to send the headers below if the parameter "suppressHeaders" is set :

header('Expires: Mon, 26 Jul 1997 05:00:00 GMT'); // Date in the past
header('Last-Modified: ' . gmdate('D, d M Y H:i:s') . ' GMT'); // always modified
header('Cache-Control: no-cache, must-revalidate, no-store, post-check=0, pre-check=0'); // HTTP/1.1
header('Pragma: no-cache'); // HTTP/1.0
header("Content-type: text/html; charset=UTF-8");
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0001570

caseydk (administrator)

Is this more than a semantic problem?

Aka we're supposed to suppressHeaders and we're not?

~0001573

eureka (reporter)

Hi caseydk,

The only way for an add-on module to implement an xml or json response to an AJAX request is to use the suppressHeaders parameter in order to avoid sending the "Content-type: text/html charset=UTF-8" header and HTML tags.

~0001579

caseydk (administrator)

Resolved in r1604
+Notes

-Issue History
Date Modified Username Field Change
2011-01-20 12:46 eureka New Issue
2011-01-21 00:02 caseydk Note Added: 0001570
2011-01-21 11:17 eureka Note Added: 0001573
2011-01-23 22:59 caseydk Note Added: 0001579
2011-01-23 22:59 caseydk Status new => resolved
2011-01-23 22:59 caseydk Resolution open => fixed
2011-01-23 22:59 caseydk Assigned To => caseydk
2011-03-24 09:53 caseydk Fixed in Version => 2.3
2011-03-24 09:53 caseydk Status resolved => closed
+Issue History